import 'dart:typed_data';

import 'package:bd_bridge_client/annotation.dart';
import 'package:bd_bridge_client/client.dart';

part "call_standard.g.dart";

@Bridge('Standard')
mixin CallStandard on BridgeModule {
  @BridgeMethod(callStandard: true)
  Future<Uint8List> toast({List<int> message});
}
