import 'package:bd_bridge_client/annotation.dart';
import 'package:bd_bridge_client/client.dart';
import 'dart:core';

part 'int_to_double.g.dart';

@Bridge()
mixin IntToDouble on BridgeModule {
  @BridgeMethod(resultProcessor: 'intToDouble')
  Future<double> getIntValue();

  Future<double> intToDouble(Future<int> source) {
    return source
        .then((value) => value as double)
        .catchError((error) => throw error);
  }
}
